Attached Video not working on MAMP
  • I'm developing a theme locally using MAMP, and I cant seem to get videos that are attached to an article to play. Is anyone else having this issue??
    Cheers
  • 4 Comments sorted by
  • Vote Up0Vote Down Daniel JamesDaniel James
    Posts: 839Member, Sourcefabric Team
    Hi Jarrett,

    What format and codec are your video clips? Do they play in your browser if you open them as a file? If not, it may be because the video format or codec is not supported by HTML5. See https://en.wikipedia.org/wiki/HTML5_video and http://diveintohtml5.info/video.html for background.

    Cheers!

    Daniel
  • The video is mp4 but i don't think that's the issue because i can play the video in the browser. However, I can't download the attached video from within the article page of the newscoop administration interface or backend. I get the error message like the one below.

    Newscoop has encountered a problem.

    Please take a minute to send us an email.

    Simply copy and paste the error report below and send it to: newscoop-bug@sourcefabric.org.

    Thank you.


    Error Report

    Error ID:2048:Newscoop:4.2.3:Issue.php:1120
    Error String:Declaration of Issue::create() should be compatible with DatabaseObject::create($p_values = NULL)
    Time:Thu, 05 Mar 2015 23:52:54 +1300
    Backtrace:
    Admin_Bootstrap::{closure}() called at [/Applications/MAMP/htdocs/admin-files/init_content.php:3]
    require_once() called at [/Applications/MAMP/htdocs/admin-files/init_content.php:3]
    require_once() called at [/Applications/MAMP/htdocs/application/modules/admin/Bootstrap.php:72]
    Admin_Bootstrap::_initNewscoop() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Bootstrap/BootstrapAbstract.php:669]
    Zend_Application_Bootstrap_BootstrapAbstract::_executeResource() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Bootstrap/BootstrapAbstract.php:622]
    Zend_Application_Bootstrap_BootstrapAbstract::_bootstrap() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Bootstrap/BootstrapAbstract.php:586]
    Zend_Application_Bootstrap_BootstrapAbstract::bootstrap() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Resource/Modules.php:124]
    Zend_Application_Resource_Modules::bootstrapBootstraps() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Resource/Modules.php:110]
    Zend_Application_Resource_Modules::init() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Bootstrap/BootstrapAbstract.php:683]
    Zend_Application_Bootstrap_BootstrapAbstract::_executeResource() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Bootstrap/BootstrapAbstract.php:626]
    Zend_Application_Bootstrap_BootstrapAbstract::_bootstrap() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application/Bootstrap/BootstrapAbstract.php:586]
    Zend_Application_Bootstrap_BootstrapAbstract::bootstrap() called at [/Applications/MAMP/htdocs/vendor/bombayworks/zendframework1/library/Zend/Application.php:355]
    Zend_Application::bootstrap() called at [/Applications/MAMP/htdocs/application.php:47]
    require_once() called at [/Applications/MAMP/htdocs/attachment.php:8]
  • Hi Jarrett,

    this issue is related to strict errors, we still have a lot of old legacy code. You could try to disable strict errors reporting in your php.ini by adding: ~E_STRICT to "error_reporting", or in newscoop/classes/Issue.php fix create function like:

    public function create($p_shortName = null, $p_values = null)

    This issue has been fixed in version 4.4 of Newscoop.
    Post edited by Rafał Muszyński at 2015-03-05 06:46:18
  • Tried this but still not working. Any other work around?? Has 4.4 been released??